Bug 463746 - Unable to install 2.6.26.3-14 kernel - grubby error
Unable to install 2.6.26.3-14 kernel - grubby error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 10:04 EDT by John Horne
Modified: 2009-01-09 01:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:46:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Errors during installation of kernel (33.98 KB, text/plain)
2008-09-24 10:04 EDT, John Horne
no flags Details

  None (edit)
Description John Horne 2008-09-24 10:04:00 EDT
Created attachment 317589 [details]
Errors during installation of kernel

Description of problem:
Running 'yum update' to install the latest kernel, downloads the kernel okay but gives error messages during its installation. The grub.conf file is not updated wit hthe new kernel.

Version-Release number of selected component (if applicable):
rpm -q kernel
kernel-2.6.25.10-47.fc8
kernel-2.6.26.3-14.fc8

How reproducible:
Asked on the Fedora users mailing list about this, but received no replies. Could be a problem specific to my PC for some reason.

Steps to Reproduce:
1. yum -y update kernel
2.
3.
  
Actual results:
See attached file as the error output is quite long. It starts with:

     Installing     : kernel                             [1/1]
   *** glibc detected *** /sbin/nash: munmap_chunk(): invalid pointer:  0x00000000018ff060 ***
   ======= Backtrace: =========


and ends with:

   ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0       [vsyscall]
   /sbin/new-kernel-pkg: line 90: 28431 Aborted             $grubby --add-kernel=$bootPrefix/$kernelName-$version $INITRD --copy-default $makedefault --title "$title" ${mbkernel:+--add-multiboot="$mbkernel"} ${mbargs:+--mbargs="$mbargs"} --args="root=$rootdevice $kernargs" --remove-kernel="TITLE=$title"

   Installed: kernel.x86_64 0:2.6.26.3-14.fc8
   Complete!


Expected results:
Kernel should be fully installed, and the grub.conf file updated.

Additional info:
Comment 1 John Horne 2008-09-24 10:10:25 EDT
Sorry, the 'Version-Release number of selected component' bit shows the kernel as already installed. In fact the running kernel is 2.6.25. Once the 'yum update' has run, it says the kernel is installed and so shows up when using 'rpm'. However, the kernel is unavailable as the grub.conf file has not been updated. Removing the kernel (using 'rpm -e') gives no errors, and the kernel is removed.
Comment 2 John Horne 2008-10-02 17:26:39 EDT
Same problem occurs with the latest kernel-2.6.26.5-28.fc8 kernel.

The grub.conf file contains (after running 'yum update kernel'):

=================================================================
# grub.conf generated by anaconda         
#                                         
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that             
#          all kernel and initrd paths are relative to /, eg.              
#          root (hd0,4)
#          kernel /boot/vmlinuz-version ro root=/dev/sda5
#          initrd /boot/initrd-version.img
#boot=/dev/sda
default=0
timeout=5
splashimage=(hd0,4)/boot/grub/splash.xpm.gz
hiddenmenu
password --md5 $1$-password-removed
title Fedora (2.6.25.10-47.fc8)
        root (hd0,4)
        kernel /boot/vmlinuz-2.6.25.10-47.fc8 ro root=LABEL=/1
        initrd /boot/initrd-2.6.25.10-47.fc8.img
title Fedora (2.6.23.1-21.fc7)
        root (hd0,0)
        kernel /vmlinuz-2.6.23.1-21.fc7 ro root=LABEL=/
        initrd /initrd-2.6.23.1-21.fc7.img
title Fedora (2.6.22.9-91.fc7)
        root (hd0,0)
        kernel /vmlinuz-2.6.22.9-91.fc7 ro root=LABEL=/
        initrd /initrd-2.6.22.9-91.fc7.img
=================================================================
Comment 3 Bug Zapper 2008-11-26 06:10:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:46:28 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.